PHP non interprété sur Ubuntu 18.04 LTS : la solution

Par T-PHP dans Ubuntu

Suite à la mise à jour de ma version de Ubuntu 16.04 LTS vers la version 18.04 LTS, j'ai pu m'apercevoir d'un petit bug sur mon serveur : le php n'est plus interprété !

Il est donc impossible d'accéder à mes différents sites web ainsi qu'à PhpMyAdmin.

Voici ce que j'obtenais lorsque j'essayais d'accéder à PhpMyAdmin sur Firefox : 

PhpMyAdmin bug sur Ubuntu

Connaitre votre version de php

La première étape consiste à vérifier quelle version de php est installée sur votre serveur.

Pour cela, je vous invite à consulter le tutoriel disponible en cliquant ici.

Activer les modules Apache

Il faut maintenant activer les modules Apache en fonction de votre version de php.

Ci-dessous, la commande à saisir si vous utilisez Php 7.2

sudo a2enmod php7.2

Si vous êtes sur une autre version de php, il suffit simplement de remplacer "7.2" par votre version (exemple 7.0, 5.4 etc.)

a2enmod sur Ubuntu 18.04

Redémarrer le serveur Apache

Il ne reste plus qu'à redémarrer le serveur afin que les modifications soient prises en compte.

Pour cela, il faut saisir la commande : 

systemctl restart apache2

Et voil ! Vos sites web ainsi que votre PhpMyAdmin devraient désormais être fonctionnels

PhpMyAdmin Ubuntu 18.04


Commentaires

Ajouter un commentaire

Rechercher

T-PHP

PHP, SEO, LINUX

E-Commerce, Nouvelles technologies